#ifndef LICENSE_LICENSE_H
#define LICENSE_LICENSE_H 1

#include <stdlib.h>

typedef enum {
    ZING_PRODUCT_UNKNOWN = 0,
    ZING_PRODUCT_LX = 1
} zing_licensed_product_t;

enum {
    PAYLOAD_DSA = 1,
    PAYLOAD_RSA = 2
};

enum {
    LICENSE_NONE = 0,
    LICENSE_PROD = 1,
    LICENSE_EVAL = 2
};

#ifdef __cplusplus
  extern "C" {
#endif

int findDefaultLicense(char* defaultLicenseFileName, size_t buffSize);

bool programCanRunWithLicense(
   const char* licenseFileName,
   zing_licensed_product_t programType,
   bool skipInterfaceChecks,
   bool quiet,
   char* failureBuff,
   size_t failureBuffSize,
   const char* jarPath);

#ifdef __cplusplus
  }
#endif

#endif
