#ifndef _AZPROF_DISASSEMBLER
#define _AZPROF_DISASSEMBLER

#include <azprof/azprof_io.hpp>
#include "azprof_elf.hpp"
#include <stddef.h>

namespace azprof {

class Disassembler {
public:
    static int to_xml(Response *res, const Elf& elf, uint64_t addr);
    static int to_txt(Response *res, const Elf& elf, uint64_t addr);
};

};

#endif // _AZPROF_DISASSEMBLER
