#ifndef _AZPROF_WEB_CONTROL_HPP
#define _AZPROF_WEB_CONTROL_HPP

/**
 * These are some basic controls to turn the web server on and off at
 * runtime. They're broken out into a separate header file to
 * circumvent some other conflict.
 */

namespace azprof {
    // Turn on the webserver at runtime
    int start_arta_webserver(int port);

    // Turn off the webserver at runtime
    int stop_arta_webserver();
}


#endif
