/*
 * Copyright 2013 Azul Systems, Inc.  All rights reserved.
 * AZUL PROPRIETARY/CONFIDENTIAL.  Use is subject to license terms.
 */
#ifndef ARTA_HPP
#define ARTA_HPP

#include <ctype.h>
#include <stdint.h>

/**
 ** class ARTA - Container class for the ZVision ARTA interface.  This class describes the
 ** methods used by 
 **/
class ARTA
{
  public:

      static bool       heartbeat(void* param_addr, size_t param_buf_size, void* response_addr, size_t response_size);
      static bool profiling_usage(void* param_addr, size_t param_buf_size, void* response_addr, size_t response_size);

};  // end of class ARTA.



#endif // ARTA_HPP

// end of file arta.hpp.
